Bug 198440 - Package emacs lacks IPv6 support
Package emacs lacks IPv6 support
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: emacs (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chip Coldwell
:
Depends On:
Blocks: IPv6Blocker
  Show dependency treegraph
 
Reported: 2006-07-11 08:34 EDT by Peter Vrabec
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-14 11:37:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Vrabec 2006-07-11 08:34:12 EDT
This bug was reported automaticaly in connection with IPv6 project.
Our aim is to support IPv6 in all Fedora Core packages so FC6 and RHEL5 will be ready for IPv6.
		
This package seems to lack IPv6 support.
Comment 1 Chip Coldwell 2006-07-12 09:41:54 EDT
(In reply to comment #0)
> This bug was reported automaticaly in connection with IPv6 project.
> Our aim is to support IPv6 in all Fedora Core packages so FC6 and RHEL5 will
be ready for IPv6.
> 		
> This package seems to lack IPv6 support.

You would like me to write an IPv6 protocol stack in elisp, perhaps?

Chip

Comment 2 Peter Vrabec 2006-09-01 09:32:26 EDT
It seems emacs at less partially support IPv6 in emacs-21.4/src/process.c

#ifdef HAVE_GETADDRINFO
 ipv6 compliant code
#else
 old code
#endif

but I didn't find anythink similar in:
emacs-21.4/lib-src/pop.c
emacs-21.4/lib-src/tcp.c



Note You need to log in before you can comment on or make changes to this bug.